## org.eclipse.datatools.connectivity.oda.design
Enum InputPromptControlStyle

    java.lang.Object
      java.lang.Enum<InputPromptControlStyle>
          org.eclipse.datatools.connectivity.oda.design.InputPromptControlStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<InputPromptControlStyle>, org.eclipse.emf.common.util.Enumerator

    public enum InputPromptControlStyle

extends java.lang.Enum<InputPromptControlStyle>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Input Prompt Control Style', and utility methods for working with them. The style of UI control for prompting user to input a value.

See Also:
  `DesignPackage.getInputPromptControlStyle()`

Enum Constant Summary
`CHECK_BOX_LITERAL` The 'Check Box' literal object.
`RADIO_BUTTON_LITERAL` The 'Radio Button' literal object.
`SELECTABLE_LIST_LITERAL` The 'Selectable List' literal object.
`SELECTABLE_LIST_WITH_TEXT_FIELD_LITERAL` The 'Selectable List With Text Field' literal object.
`TEXT_FIELD_LITERAL` The 'Text Field' literal object.

Field Summary
`static int` `CHECK_BOX` The 'Check Box' literal value.
`static java.lang.String` `copyright`
`static int` `RADIO_BUTTON` The 'Radio Button' literal value.
`static int` `SELECTABLE_LIST` The 'Selectable List' literal value.
`static int` `SELECTABLE_LIST_WITH_TEXT_FIELD` The 'Selectable List With Text Field' literal value.
`static int` `TEXT_FIELD` The 'Text Field' literal value.
`static java.util.List<InputPromptControlStyle>` `VALUES` A public read-only list of all the 'Input Prompt Control Style' enumerators.

Method Summary
`static InputPromptControlStyle` `get(int value)` Returns the 'Input Prompt Control Style' literal with the specified integer value.
`static InputPromptControlStyle` `get(java.lang.String literal)` Returns the 'Input Prompt Control Style' literal with the specified literal value.
`static InputPromptControlStyle` `getByName(java.lang.String name)` Returns the 'Input Prompt Control Style' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static InputPromptControlStyle` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static InputPromptControlStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT_FIELD_LITERAL

    public static final InputPromptControlStyle TEXT_FIELD_LITERAL

  The 'Text Field' literal object.

  See Also:
    `TEXT_FIELD`

### SELECTABLE_LIST_LITERAL

    public static final InputPromptControlStyle SELECTABLE_LIST_LITERAL

  The 'Selectable List' literal object.

  See Also:
    `SELECTABLE_LIST`

### SELECTABLE_LIST_WITH_TEXT_FIELD_LITERAL

    public static final InputPromptControlStyle SELECTABLE_LIST_WITH_TEXT_FIELD_LITERAL

  The 'Selectable List With Text Field' literal object.

  See Also:
    `SELECTABLE_LIST_WITH_TEXT_FIELD`

### CHECK_BOX_LITERAL

    public static final InputPromptControlStyle CHECK_BOX_LITERAL

  The 'Check Box' literal object.

  See Also:
    `CHECK_BOX`

### RADIO_BUTTON_LITERAL

    public static final InputPromptControlStyle RADIO_BUTTON_LITERAL

  The 'Radio Button' literal object.

  See Also:
    `RADIO_BUTTON`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### TEXT_FIELD

    public static final int TEXT_FIELD

  The 'Text Field' literal value.

  See Also:
    `TEXT_FIELD_LITERAL`, Constant Field Values

### SELECTABLE_LIST

    public static final int SELECTABLE_LIST

  The 'Selectable List' literal value.

  See Also:
    `SELECTABLE_LIST_LITERAL`, Constant Field Values

### SELECTABLE_LIST_WITH_TEXT_FIELD

    public static final int SELECTABLE_LIST_WITH_TEXT_FIELD

  The 'Selectable List With Text Field' literal value.

  See Also:
    `SELECTABLE_LIST_WITH_TEXT_FIELD_LITERAL`, Constant Field Values

### CHECK_BOX

    public static final int CHECK_BOX

  The 'Check Box' literal value.

  See Also:
    `CHECK_BOX_LITERAL`, Constant Field Values

### RADIO_BUTTON

    public static final int RADIO_BUTTON

  The 'Radio Button' literal value.

  See Also:
    `RADIO_BUTTON_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<InputPromptControlStyle> VALUES

  A public read-only list of all the 'Input Prompt Control Style' enumerators.

Method Detail

### values

    public static final InputPromptControlStyle[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(InputPromptControlStyle c : InputPromptControlStyle.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static InputPromptControlStyle valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static InputPromptControlStyle get(java.lang.String literal)

  Returns the 'Input Prompt Control Style' literal with the specified literal value.

### getByName

    public static InputPromptControlStyle getByName(java.lang.String name)

  Returns the 'Input Prompt Control Style' literal with the specified name.

### get

    public static InputPromptControlStyle get(int value)

  Returns the 'Input Prompt Control Style' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<InputPromptControlStyle>`